(ns plf06.core
  (:gen-class))

  ; implementacion

(defn rot[x]
  (let[
        f1 (fn[x] (clojure.string/replace x #"a" "k"))
        f2 (fn[x] (clojure.string/replace x #"á" "l"))
        f3 (fn[x] (clojure.string/replace x #"b" "m"))
        f4 (fn[x] (clojure.string/replace x #"c" "n"))
        f5 (fn[x] (clojure.string/replace x #"d" "ñ"))
        f6 (fn[x] (clojure.string/replace x #"e" "o"))
        f7 (fn[x] (clojure.string/replace x #"é" "ó"))
        f8 (fn[x] (clojure.string/replace x #"f" "p"))
        f9 (fn[x] (clojure.string/replace x #"g" "q"))
        f10 (fn[x] (clojure.string/replace x #"h" "r"))
        f11 (fn[x] (clojure.string/replace x #"i" "s"))
        f12 (fn[x] (clojure.string/replace x #"í" "t"))
        f13 (fn[x] (clojure.string/replace x #"j" "u"))
        f14 (fn[x] (clojure.string/replace x #"k" "ú"))
        f15 (fn[x] (clojure.string/replace x #"l" "ü"))
        f16 (fn[x] (clojure.string/replace x #"m" "v"))
        f17 (fn[x] (clojure.string/replace x #"n" "w"))
        f18 (fn[x] (clojure.string/replace x #"ñ" "x"))
        f19 (fn[x] (clojure.string/replace x #"o" "y"))
        f20 (fn[x] (clojure.string/replace x #"ó" "z"))
        f21 (fn[x] (clojure.string/replace x #"p" "f"))
        f22 (fn[x] (clojure.string/replace x #"q" "g"))
        f23 (fn[x] (clojure.string/replace x #"r" "h"))
        f24 (fn[x] (clojure.string/replace x #"s" "i"))
        f25 (fn[x] (clojure.string/replace x #"t" "í"))
        f26 (fn[x] (clojure.string/replace x #"u" "j"))
        f27 (fn[x] (clojure.string/replace x #"ú" "k"))
        f28 (fn[x] (clojure.string/replace x #"ü" "l"))
        f29 (fn[x] (clojure.string/replace x #"v" "m"))
        f30 (fn[x] (clojure.string/replace x #"w" "n"))
        f31 (fn[x] (clojure.string/replace x #"x" "ñ"))
        f32 (fn[x] (clojure.string/replace x #"y" "o"))
        f33 (fn[x] (clojure.string/replace x #"z" "ó"))
        f34 (fn[x] (clojure.string/replace x #"A" "K"))
        f35 (fn[x] (clojure.string/replace x #"Á" "L"))
        f36 (fn[x] (clojure.string/replace x #"B" "M"))
        f37 (fn[x] (clojure.string/replace x #"C" "N"))
        f38 (fn[x] (clojure.string/replace x #"D" "Ñ"))
        f39 (fn[x] (clojure.string/replace x #"E" "O"))
        f40 (fn[x] (clojure.string/replace x #"É" "Ó"))
        f41 (fn[x] (clojure.string/replace x #"F" "P"))
        f42 (fn[x] (clojure.string/replace x #"G" "Q"))
        f43 (fn[x] (clojure.string/replace x #"H" "R"))
        f44 (fn[x] (clojure.string/replace x #"I" "S"))
        f45 (fn[x] (clojure.string/replace x #"Í" "T"))
        f46 (fn[x] (clojure.string/replace x #"J" "U"))
        f47 (fn[x] (clojure.string/replace x #"K" "Ú"))
        f48 (fn[x] (clojure.string/replace x #"L" "Ü"))
        f49 (fn[x] (clojure.string/replace x #"M" "V"))
        f50 (fn[x] (clojure.string/replace x #"N" "W"))
        f51 (fn[x] (clojure.string/replace x #"Ñ" "X"))
        f52 (fn[x] (clojure.string/replace x #"O" "Y"))
        f53 (fn[x] (clojure.string/replace x #"Ó" "Z"))
        f54 (fn[x] (clojure.string/replace x #"P" "F"))
        f55 (fn[x] (clojure.string/replace x #"Q" "G"))
        f56 (fn[x] (clojure.string/replace x #"R" "H"))
        f57 (fn[x] (clojure.string/replace x #"S" "I"))
        f58 (fn[x] (clojure.string/replace x #"T" "Í"))
        f59 (fn[x] (clojure.string/replace x #"U" "J"))
        f60 (fn[x] (clojure.string/replace x #"Ú" "K"))
        f61 (fn[x] (clojure.string/replace x #"Ü" "L"))
        f62 (fn[x] (clojure.string/replace x #"V" "M"))
        f63 (fn[x] (clojure.string/replace x #"W" "N"))
        f64 (fn[x] (clojure.string/replace x #"X" "Ñ"))
        f65 (fn[x] (clojure.string/replace x #"Y" "O"))
        f66 (fn[x] (clojure.string/replace x #"Z" "Ó"))
        f67 (fn[x] (clojure.string/replace x #"0" ":"))
        f68 (fn[x] (clojure.string/replace x #"1" "#"))
        f69 (fn[x] (clojure.string/replace x #"2" "S"))
        f70 (fn[x] (clojure.string/replace x #"3" "%"))
        f71 (fn[x] (clojure.string/replace x #"4" "&"))
        f72 (fn[x] (clojure.string/replace x #"5" "!"))
        f73 (fn[x] (clojure.string/replace x #"6" "("))
        f74 (fn[x] (clojure.string/replace x #"7" ")"))
        f75 (fn[x] (clojure.string/replace x #"8" "*"))
        f76 (fn[x] (clojure.string/replace x #"9" "+"))
        f77 (fn[x] (clojure.string/replace x #"#" ":"))
        f78 (fn[x] (clojure.string/replace x #":" "'"))
        f79 (fn[x] (clojure.string/replace x #";" "-"))
        f80 (fn[x] (clojure.string/replace x #"<" "."))
        f81 (fn[x] (clojure.string/replace x #"=" "/"))
        f82 (fn[x] (clojure.string/replace x #">" "0"))
        f83 (fn[x] (clojure.string/replace x #"@" "2"))
        f84 (fn[x] (clojure.string/replace x #"^" "6"))
        f85 (fn[x] (clojure.string/replace x #"-" "7"))
        f86 (fn[x] (clojure.string/replace x #"~" "#"))]
    (f1(f2(f3(f4(f5(f6(f7(f8(f9(f10(f11(f12
     (f13(f14(f15(f16(f17(f18(f19(f20(f21
       (f22(f23(f24(f25(f26(f27(f28(f29(f30(f31
        (f32(f33(f34(f35(f36(f37(f38(f39(f40
     (f41(f42(f43(f44(f45(f46(f47(f48(f49(f50(f51(f52
    (f53(f54(f55(f56(f57(f58(f59(f60(f61(f62(f63(f64
    (f65(f66(f67(f68(f69(f70(f71(f72(f73(f74(f74(f75(f76(f77
    (f78(f79(f80(f81(f82(f83(f84(f85(f86 x)))))))))
    ))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
    ))))))))))))

; (-main "hola")

(defn -main
  [& args]
  (if (empty? args)
    (println "Error al cargar el programa") 
    (println (rot args)))) 

    ; final del trabajo :)
    ;